music.push(function(){
	
	iMusic.set("suffix", "wav");
	iMusic.set("blockRetrig", 2000);

	// ställ in tempo, taktart, loopEnd (för bakgrundsfilerna)
	// och kvantisering (för filerna som triggas av knapptryck)
	iMusic.set("tempo", 90);
	iMusic.set("timeSign", "4/4");
	iMusic.set("quantize", "1/16");
	var loopEnd = "33.1";

	stringColors = [];
	
	
	// Skriv önskade RGB+W (red, green, blue + white)-värden för resp. sträng
	// Du hittar koderna t.ex. i en bild (ladda upp på t.ex. http://imagecolorpicker.com)
	// eller plocka från en väljare: https://www.w3schools.com/colors/colors_picker.asp
	
	// color0 är färgen på strängen när ingen är nära
	// color1 är färgen när någon är nära strängen
	// color2 är färgen när den svänger som max
	
	// Sträng 1
	stringColors.push({
		color0: {r: 0, g: 0, b: 0, w:0 }, // svart
		color1: {r: 255, g: 255, b: 255, w:255 }, // vit
		color2: {r: 0, g: 0, b: 255, w: 255} // blå
	});
	
	// Sträng 2
	stringColors.push({
		color0: {r: 0, g: 0, b: 0, w:0 }, // svart
		color1: {r: 255, g: 255, b: 255, w:255 }, // vit
		color2: {r: 255, g: 51, b: 153, w: 255} // neonrosa
	});
	
	// Sträng 3
	stringColors.push({
		color0: {r: 0, g: 0, b: 0, w:0 }, // svart
		color1: {r: 255, g: 255, b: 255, w:255 }, // vit
		color2: {r: 255, g: 0, b: 0, w: 0} // röd
	});
	
	// Sträng 4
	stringColors.push({
		color0: {r: 0, g: 0, b: 0, w:0 }, // svart
		color1: {r: 255, g: 255, b: 255, w:255 }, // vit
		color2: {r: 255, g: 255, b: 0, w: 0} // gul
	});
	
	// Sträng 5
	stringColors.push({
		color0: {r: 0, g: 0, b: 0, w:0 }, // svart
		color1: {r: 255, g: 255, b: 255, w:255 }, // vit
		color2: {r: 0, g: 255, b: 0, w: 0} // grön
	});
	


	
	
	// ***************************
	//
	// LOOP TRACKS
	//
	// ***************************
	
	// tre ljudfiler (eller fler) som alternerar: bg_A.wav, bg_B.wav & bg_C.wav
	// "loopEnd", "17.1" ställer in right locator på loopen på takt 17, första slaget
	iMusic(grpID).addLoopTrack([["bg_A", "bg_B", "bg_C"]]).set("loopEnd", loopEnd);
	
	
	
	
	
	
	
	// ***************************
	//
	// MOTIFs - Korta fraser som triggar i sync med Loop Tracks
	//
	// ***************************
	
	// För varje sträng ska ni ha 6 filer - tre nivåer med en fil för takhögtalaren och en för golvet
	
	iMusic(grpID).addMotif(["str1_1_tak"]);
	iMusic(grpID).addMotif(["str1_1_golv"]);
	iMusic(grpID).addMotif(["str1_2_tak"]);
	iMusic(grpID).addMotif(["str1_2_golv"]);
	iMusic(grpID).addMotif(["str1_3_tak"]);
	iMusic(grpID).addMotif(["str1_3_golv"]);
	
	
	
	iMusic(grpID).addMotif(["str2_1_tak"]);
	iMusic(grpID).addMotif(["str2_1_golv"]);
	iMusic(grpID).addMotif(["str2_2_tak"]);
	iMusic(grpID).addMotif(["str2_2_golv"]);
	iMusic(grpID).addMotif(["str2_3_tak"]);
	iMusic(grpID).addMotif(["str2_3_golv"]);
	
	
	iMusic(grpID).addMotif(["str3_1_tak"]);
	iMusic(grpID).addMotif(["str3_1_golv"]);
	iMusic(grpID).addMotif(["str3_2_tak"]);
	iMusic(grpID).addMotif(["str3_2_golv"]);
	iMusic(grpID).addMotif(["str3_3_tak"]);
	iMusic(grpID).addMotif(["str3_3_golv"]);
	
	
	iMusic(grpID).addMotif(["str4_1_tak"]);
	iMusic(grpID).addMotif(["str4_1_golv"]);
	iMusic(grpID).addMotif(["str4_2_tak"]);
	iMusic(grpID).addMotif(["str4_2_golv"]);
	iMusic(grpID).addMotif(["str4_3_tak"]);
	iMusic(grpID).addMotif(["str4_3_golv"]);
	
	
	iMusic(grpID).addMotif(["str5_1_tak"]);
	iMusic(grpID).addMotif(["str5_1_golv"]);
	iMusic(grpID).addMotif(["str5_2_tak"]);
	iMusic(grpID).addMotif(["str5_2_golv"]);
	iMusic(grpID).addMotif(["str5_3_tak"]);
	iMusic(grpID).addMotif(["str5_3_golv"]);
	
	
	
	
	// sänk t.ex. volymen för alla motifs i taket
	iMusic("tak").set("volume", 0.2);
	iMusic("golv").set("volume", 1);
	iMusic("bg").set("volume", 0.5);
	iMusic("str5").set("volume", 0.1);
	iMusic("str3 tak").set("volume", 0.4);
	iMusic("str4 tak").set("volume", 0.4);

});
